<?   
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();  
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload		=	new autoloadClass(); 
$mecon			=	new condbClass();
$requestData	=	$_REQUEST; 
$columns = array(
	0	=>	'Id', 
	1	=>	'Project',
	2	=>	'Model', 
	3	=>	'PricelistDate' 
);    

$rangeStart = isset($_REQUEST['range_start']) ?  $_REQUEST['range_start'] : date('Y-m-d', strtotime(date('01-m-Y')));
$rangeEnd 	= isset($_REQUEST['range_end'])   ? $_REQUEST['range_end']	  : date("Y-m-t", strtotime(date('Y-m-d')));
$tobedate 	= isset($_REQUEST['tobe_stat_date'])   ? $_REQUEST['tobe_stat_date']	  : "yes";
$mainQuery 		= "SELECT Id, Project, Model, ReservationFee, Remarks, PricelistDate, KeyCode FROM pricelist";
 
$sql			=	$mainQuery." WHERE 1=1";
if(!empty($requestData['search']['value']) ) { 
	$arr = explode(" ",$requestData['search']['value']);  
	foreach($arr as $ind){
		$ind = str_replace(',','',$ind);
		$sql.=" AND (Project LIKE '%".$ind."%' "; 
		$sql.=" OR Model LIKE '%".$ind."%' "; 
		$sql.=" OR UPPER(DATE_FORMAT(PricelistDate,'%m/%d/%Y')) LIKE '%".$ind."%' "; 
		$sql.=" OR CONCAT(Model,'',KeyCode) LIKE '%".str_replace(" ","",$ind)."%' ";
		$sql.=" OR ReservationFee LIKE '%".$ind."%' ";
		$sql.=" OR Remarks LIKE '%".$ind."%' "; 
		$sql.=" OR Status  LIKE '%".$ind."%' )";
	}
}
if($tobedate=="yes"){
	if( !empty($rangeStart) && !empty($rangeEnd) ){
		$sql .= " AND PricelistDate BETWEEN ('".date('Y-m-d', strtotime($rangeStart))."') AND ('".date('Y-m-d', strtotime($rangeEnd))."')";
	}else if( !empty($rangeStart)){
		$sql .= " AND PricelistDate >= ('".date('Y-m-d', strtotime($rangeStart))."') ";
	}else if( !empty($rangeEnd)){
		$sql .= " AND PricelistDate <= ('".date('Y-m-d', strtotime($rangeEnd))."') ";
	}
}

$mecon->query($sql);
$result			= $mecon->resultset(); 
$totalData		= count($result);
$totalFiltered	=	$totalData;

$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."   LIMIT ".$requestData['start']." ,".$requestData['length']."   "; 

$mecon->query($sql);
$data = array();
$result = $mecon->resultset();

			 for($a=0; $a<count($result); $a++){
			 $nestedData=array();  
				$nestedData[]	= $result[$a]['Id']; 
				$nestedData[]	= '<a href="index.php?pg=pricelist&type=adjustment_pricelist&action=view&id='.$result[$a]['Id'].'">'.strtoupper(trim(html_entity_decode(stripslashes($result[$a]['Project'])))).'</a>';
				$nestedData[]	= strtoupper(trim(html_entity_decode(stripslashes($result[$a]['Model'])))).$result[$a]['KeyCode'];
				$nestedData[] = (($result[$a]['PricelistDate']=='1970-01-01') || ($result[$a]['PricelistDate']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['PricelistDate']));
				$data[] = $nestedData;
			} 
$json_data = array(
			"draw"            => intval( $requestData['draw'] ),
			"recordsTotal"    => intval( $totalData ),
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);
echo json_encode($json_data);
exit();
ob_end_flush(); 